"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createHcmsTasks: true
};
exports.createHcmsTasks = void 0;
var _tasks = require("./tasks");
var _handlers = require("./handlers");
var _useCases = require("./tasks/entries/useCases");
Object.keys(_useCases).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _useCases[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _useCases[key];
    }
  });
});
const createHcmsTasks = () => [(0, _tasks.createTasks)(), (0, _handlers.createHandlers)()];
exports.createHcmsTasks = createHcmsTasks;

//# sourceMappingURL=index.js.map